Groovy Documentation

## org.codehaus.groovy.grails.web.servlet.mvc
[Java] Class GrailsUrlHandlerMapping

    java.lang.Object
      org.springframework.web.servlet.handler.SimpleUrlHandlerMapping
          org.codehaus.groovy.grails.web.servlet.mvc.GrailsUrlHandlerMapping

    public class GrailsUrlHandlerMapping
    extends SimpleUrlHandlerMapping

Handles URL mapping for Grails.

Authors:
  Graeme Rocher

Field Summary
`static java.lang.String` | `APPLICATION_CONTEXT_ID`
`static java.lang.String` | `APPLICATION_CONTEXT_TARGET_SOURCE`

Method Summary
`protected java.lang.Object` | `getHandlerInternal(HttpServletRequest request)`

Field Detail

### APPLICATION_CONTEXT_ID

    public static final java.lang.String APPLICATION_CONTEXT_ID

### APPLICATION_CONTEXT_TARGET_SOURCE

    public static final java.lang.String APPLICATION_CONTEXT_TARGET_SOURCE

Method Detail

### getHandlerInternal

    @Override
    protected java.lang.Object getHandlerInternal(HttpServletRequest request)

Groovy Documentation